net.ME1312.SubServers.Client.Bukkit.Graphic

## Class UIRenderer.CreatorOptions

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer.Options
  - - net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer.CreatorOptions

Enclosing class:
  UIRenderer

    public static class UIRenderer.CreatorOptions
    extends UIRenderer.Options

### Constructor Summary

Constructors
Constructor and Description
`CreatorOptions(java.lang.String host)` Grabs a raw CreatorOptions instance

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()` Gets the Host Name
`int` `getMemory()` Gets the RAM Amount for the Server
`java.lang.String` `getName()` Gets the Server Name
`int` `getPort()` Gets the Port Number for the Server
`PacketCreateServer.ServerType` `getType()` Gets the ServerType
`Version` `getVersion()` Gets the Server Version
`void` `setMemory(int value)` Sets the RAM AMount for the Server
`void` `setName(java.lang.String value)` Sets the Server Name
`void` `setPort(int value)` Sets the Port Number for the Server
`void` `setType(PacketCreateServer.ServerType value)` Sets the ServerType
`void` `setVersion(Version value)` Sets the Server Version

### Methods inherited from class net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer.Options

`hasHistory, undo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreatorOptions

    public CreatorOptions(java.lang.String host)

Grabs a raw CreatorOptions instance

Parameters:
  `host` - Host Name

### Method Detail

#### getHost

    public java.lang.String getHost()

Gets the Host Name

Returns:
  Host Name

#### getName

    public java.lang.String getName()

Gets the Server Name

Returns:
  Server Name

#### setName

    public void setName(java.lang.String value)

Sets the Server Name

Parameters:
  `value` - Value

#### getType

    public PacketCreateServer.ServerType getType()

Gets the ServerType

Returns:
  ServerType

#### setType

    public void setType(PacketCreateServer.ServerType value)

Sets the ServerType

Parameters:
  `value` - Value

#### getVersion

    public Version getVersion()

Gets the Server Version

Returns:
  Server Version

#### setVersion

    public void setVersion(Version value)

Sets the Server Version

Parameters:
  `value` - Value

#### getMemory

    public int getMemory()

Gets the RAM Amount for the Server

Returns:
  Server RAM Amount (in MB)

#### setMemory

    public void setMemory(int value)

Sets the RAM AMount for the Server

Parameters:
  `value` - Value (in MB)

#### getPort

    public int getPort()

Gets the Port Number for the Server

Returns:
  Server Port Number

#### setPort

    public void setPort(int value)

Sets the Port Number for the Server

Parameters:
  `value` - Value